% Programa para evaluar el control de la CALDERA
% F. Morilla, febrero 2010

% Carga resultados de la simulacin correspondiente al controlador que 
% hace de referencia
load pruebaCaldera_CL1.mat 
registrosr=registros;

% Carga resultados de la simulacin correspondiente al controlador que 
% se quiere evaluar
load pruebaCaldera_CL2.mat 

% Presenta los resultados
figure(1)
plot(t,registrosr(:,5),t,registros(:,5),t,registros(:,8))
title('Presin de vapor y consigna (%)')
xlabel('Tiempo (sg)')
legend('Caso referencia','Caso a evaluar')

figure(2)
plot(t,registrosr(:,6),t,registros(:,6),t,registros(:,9))
title('Oxgeno en exceso y consigna (%)')
xlabel('Tiempo (sg)')
legend('Caso referencia','Caso a evaluar')

figure(3)
plot(t,registrosr(:,7),t,registros(:,7),t,registros(:,10))
title('Nivel en el caldern y consigna (%)')
xlabel('Tiempo (sg)')
legend('Caso referencia','Caso a evaluar')

figure(4)
plot(t,registros(:,4))
title('Demanda de vapor (%)')
xlabel('Tiempo (sg)')

figure(5)
plot(t,registrosr(:,1),t,registros(:,1))
title('Caudal de combustible (%)')
xlabel('Tiempo (sg)')
legend('Caso referencia','Caso a evaluar')

figure(6)
plot(t,registrosr(:,2),t,registros(:,2))
title('Caudal de aire (%)')
xlabel('Tiempo (sg)')
legend('Caso referencia','Caso a evaluar')

figure(7)
plot(t,registrosr(:,3),t,registros(:,3))
title('Caudal de agua de alimentacin (%)')
xlabel('Tiempo (sg)')
legend('Caso referencia','Caso a evaluar')

% Evuala la efectividad relativa del cambio de controlador
w=0.25;   % Es el valor del peso utilizado en el concurso
J=evaluaJCaldera(t,registrosr,registros,tcambio,Yo,Yf,w)